wibble::net::http::ParamSingle Struct Reference

Single-valued parameter. More...

`#include <http.h>`

Inheritance diagram for wibble::net::http::ParamSingle:
[legend]
Collaboration diagram for wibble::net::http::ParamSingle:
[legend]

## Public Member Functions

virtual void | parse (const std::string &str)
| Parse the value of this parameter from the given unescaped string value. More...
Public Member Functions inherited from wibble::net::http::Param
virtual | ~Param ()

## Detailed Description

Single-valued parameter.

## Member Function Documentation

void wibble::net::http::ParamSingle::parse | ( | const std::string & | str | ) |

virtual

Parse the value of this parameter from the given unescaped string value.

This can be called more than once, if the value is found multiple times. It can also never be called, if the value is never found.

Implements wibble::net::http::Param.

The documentation for this struct was generated from the following files:

- http.h
- http.cpp